%define prerel rc6
%define fversion %{version}
%define fname %{name}-%{fversion}
Summary:	The Netwide Assembler, a portable x86 assembler with Intel-like syntax
Name:		nasm
Version:	2.13.03
Release:	%mkrel 1
License:	BSD
Group:		Development/Other

Source:		http://www.nasm.us/pub/nasm/releasebuilds/%{fversion}/%{fname}.tar.xz
Patch0:		nasm-2.13.02-switch-font-for-nasmdoc.patch
# Submitted upstream: https://bugzilla.nasm.us/show_bug.cgi?id=3392461
Patch1:		0001-Remove-invalid-pure_func-qualifiers.patch
URL:		http://www.nasm.us/
BuildRequires:	ghostscript
BuildRequires:	groff
BuildRequires:	texinfo
BuildRequires:	perl(Font::TTF::Font)
BuildRequires:	perl(Sort::Versions)
BuildRequires:	fonts-ttf-liberation

%package doc
Summary:	Extensive documentation for NASM
Group:		Documentation

%package rdoff
Summary:	Tools for the RDOFF binary format, sometimes used with NASM
Group:		Development/Other

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
Extensive documentation for the Netwide Assembler, NASM, in HTML,
PostScript, RTF and text formats.

%description rdoff
Tools for the operating-system independent RDOFF binary format, which
is sometimes used with the Netwide Assembler (NASM).  These tools
include linker, library manager, loader, and information dump.

%prep

%setup -q -n %{fname}
%apply_patches
%build
rm -f config.cache config.status config.log
%configure2_5x
make everything

%install
mkdir -p %{buildroot}/{%{_bindir},%{_infodir},%{_mandir}/man1}
%makeinstall install_rdf
cd doc
bzip2 -9f nasmdoc*.txt nasmdoc*.ps||true
cd html
ln -sf nasmdoc0.html index.html

%files
%doc LICENSE CHANGES TODO AUTHORS README doc/internal.doc
%attr(755,root,root) %{_bindir}/nasm
%attr(755,root,root) %{_bindir}/ndisasm
%{_mandir}/man1/ldrdf.1*
%{_mandir}/man1/nasm.1*
%{_mandir}/man1/ndisasm.1*
%{_mandir}/man1/rd*.1*

%files doc
%doc doc/nasmdoc.ps.bz2 doc/nasmdoc.txt.bz2  doc/html

%files rdoff
%doc rdoff/README rdoff/doc/v1-v2.txt
%{_bindir}/rdfdump
%{_bindir}/ldrdf
%{_bindir}/rdx
%{_bindir}/rdflib
%{_bindir}/rdf2bin
%{_bindir}/rdf2ihx
%{_bindir}/rdf2com
%{_bindir}/rdf2ith
%{_bindir}/rdf2srec



%changelog
* Sun Dec 23 2018 adrianomorselli <adrianomorselli> 2.13.03-1uplos2019
- updated for handbrake
